Bug 258241 - semodule command fails after installing latest RPMs from rawhide
semodule command fails after installing latest RPMs from rawhide
Product: Fedora
Classification: Fedora
Component: selinux-policy-mls (Show other bugs)
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2007-08-27 17:46 EDT by Valdis Kletnieks
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-12 13:00:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Valdis Kletnieks 2007-08-27 17:46:11 EDT
Description of problem:
The latest RPMs in rawhide throw an error on the semodule command in the
selinux-policy-mls %postinstall.  It's also hand-replicatable after installing.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:
# cd /usr/share/selinux/mls
# semodule -b base.pp -s mls
libsepol.module_package_read_offsets: offsets are not increasing (at 2, offset
67645563129058034 -> 0
libsemanage.parse_base_headers: Could not parse base module data.
semodule:  Failed on base.pp!

Expected results:
works properly

Additional info:
Comment 1 Daniel Walsh 2007-08-28 06:36:57 EDT
Fixed in selinux-policy-mls-3.0.7-1.fc8
Comment 2 Valdis Kletnieks 2007-08-30 13:48:00 EDT
I just tried 3.0.7-1.fc8, and am still seeing the problem.  Do I perhaps have
stale files left over that I should nuke and try again?
Comment 3 Daniel Walsh 2007-09-04 17:36:41 EDT
Sorry you need to update the libsepol version.

Comment 4 Daniel Walsh 2007-09-12 13:00:33 EDT
ALready fixed in rawhide

Note You need to log in before you can comment on or make changes to this bug.